org.apache.xmlgraphics.image.loader

## Interface ImageContext

- All Known Implementing Classes:
    DefaultImageContext

      public interface ImageContext

  The ImageContext interface provides session-independent information (mainly configuration values).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getSourceResolution()` Returns the resolution (in dpi) that is to be used when interpreting pixel sizes where no resolution information is available.

- - ### Method Detail

    - #### getSourceResolution

          float getSourceResolution()

      Returns the resolution (in dpi) that is to be used when interpreting pixel sizes where no resolution information is available.
      Returns:
        the source resolution (in dpi)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.